Subject: Re: [PATCH 2/6] [POWERPC] QE: add support for QE USB clocks routing

From: Anton Vorontsov <[email-masked]>
Date: Wed, 30 Apr 2008 01:22:56 +0400

On Tue, Apr 29, 2008 at 02:57:34PM -0500, Timur Tabi wrote:
> Anton Vorontsov wrote:
> > This patch adds a function to the qe_lib to setup QE USB clocks routing.
> > To setup clocks safely, cmxgcr register needs locking, so I just reused
> > ucc_lock since it was used only to protect cmxgcr.
> > 
> > The idea behind placing clocks routing functions into the qe_lib is that
> > later we'll hopefully switch to the generic Linux Clock API, thus, for
> > example, FHCI driver may be used for QE and CPM chips without nasty #ifdefs.
> > 
> > This patch also fixes QE_USB_RESTART_TX command definition in the qe.h.
> > 
> > Signed-off-by: Anton Vorontsov <[email-masked]>
> 
> Acked-By: Timur Tabi <[email-masked]>

Much thanks for the review and Acks.

> Anton, please be sure to CC: me on any QE library patches you send out.

Sorry about that. I actually know that QE changes should be Cc: you,
but I always forget this. :-/ I should automate Ccing, someday.

-- 
Anton Vorontsov
email: [email-masked]
irc://irc.freenode.net/bd2